
import React from 'react';
import Icon from 'react-icon-base';

const SlCompass = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M733.184 679.728l-313.15 -134.64c-5.66406 -2.87988 -10.2559 -7.47168 -13.1514 -13.1514l-143.456 -289.216c-5.87207 -11.5361 -3.74414 -25.5361 5.31152 -34.7842c5.80762 -5.9043 13.6318 -9.02441 21.5361 -9.02441c4.43164 0 8.94336 0.975586 13.1191 3.00781 l305.728 126.976c5.59961 2.68848 10.2236 7.05664 13.2158 12.4971l150.88 296.896c6.43164 11.5996 4.52734 26.0312 -4.65625 35.5674c-9.21582 9.53613 -23.584 11.8721 -35.376 5.87207zM357.857 295.184l87.0078 177.681l87.8721 -109.984zM584.705 400.384 l-88.7998 111.152l176.784 69.7598zM512.001 960c-282.768 0 -512 -229.232 -512 -512c0 -282.784 229.232 -512 512 -512c282.784 0 512 229.216 512 512c0 282.768 -229.216 512 -512 512zM512.001 -1.00781c-247.024 0 -448 201.984 -448 449.009 c0 247.025 200.976 448 448 448s448 -200.976 448 -448s-200.976 -449.009 -448 -449.009z"/></g>
    </Icon>
);

export default SlCompass;
